#!/usr/bin/env python
# -*- coding: utf8
import requests
from bs4 import BeautifulSoup


def main():
    url = "https://onlinebabyplants.com/shop/exclusive-alocasia-zebrina-variegated/"

    res = requests.get(url)
    soup = BeautifulSoup(res.content, "html.parser")
    name = soup.find(attrs={"class": "product_title"}).text
    stock = soup.find(attrs={"class": "stock"}).text

    if "Out of stock" not in stock:
        sms("%s en stock: \"%s\"\n-> %s" % (name, stock, url))
    else:
        sms("%s pas encore en stock... à suivre ;)" % name)


def sms(msg: str):
    print("Sending sms:\n%s" % msg)
    res = requests.post("https://smsapi.free-mobile.fr/sendmsg",
                        json={"user": "23355840",
                              "pass": "1zdVdBEjjSqnv3",
                              "msg": msg})
    if res.ok:
        print("Success!")
    else:
        print(res.status_code, res.reason, res.headers)


if __name__ == '__main__':
    main()
